# General options
general: 
    name: 3D_Wind_Farm      # Name of the output folder
    output: ["mesh","initial_guess","height","turbine_force","solution"]

# Wind Farm Parameters:
wind_farm: 

    ####################### Imported Wind Farm #######################
    type: imported                   #                          |
    path: Input_Data/wind_farm.txt   # location of wind farm    | -
    force: sine                      # radial force distribution| -
    ###################################################################



# Domain Parameters: Uncomment a set to change domain shape
domain: 
    
    ########################### Box Domain ############################
    type: box              #                       |
    x_range: [-1200, 1200] # x-range of the domain | m
    y_range: [-600, 600] # y-range of the domain | m
    z_range: [0.04, 640]   # z-range of the domain | m
    nx: 20                 # Number of x-nodes     | -
    ny: 10                 # Number of y-nodes     | -
    nz: 10                 # Number of z-nodes      | -
    ###################################################################

    ########################## Cylinder Domain ########################
    # type: cylinder          #                       |
    # mesh_type: mshr   # elliptic, stretch mshr|
    # radius: 1200            # x-range of the domain | m
    # center: [0.0, 0.0]      # y-range of the domain | m
    # z_range: [0.0, 640]    # z-range of the domain | m
    # nt: 62                  # segments around circle| -
    # # nz: 10                  # Number of z-nodes     | -
    # res: 25                 # resolution for mshr   | -
    ###################################################################

    ######## Additionally, uncomment this for complex terrain #########
    # interpolated: true 
    # terrain_path: Input_Data/skew_terrain.txt
    ###################################################################



refine:
    warp_type: split
    warp_percent: 0.7     # percent of cells moved       | -
    warp_height: 250       # move cell below this value   | m
    refine_custom: [
        [box, [  [[-1000,1200],[-200,200],[ 0,200]]  ]]
    ]
    turbine_num: 1         # number of turbine refinements| -
    turbine_factor: 1.25   # turbine radius multiplier    | -


function_space:
    type: linear

boundary_conditions:
    vel_profile: log
    HH_vel: 8.0
    k: 0.4
    inflow_angle: 1.13
    ######### Uncomment to test out custom BCs for BoxDomain ##########
    # boundary_types:
    #     inflow: ["west"]
    #     no_stress: ["east"]
    #     free_slip: ["top","north","south"]
    #     no_slip: ["bottom"]
    ###################################################################

problem:
    type: stabilized
    viscosity: 5
    lmax: 50


solver:
    type: steady
    save_power: true